Package org.apache.sysds.runtime.instructions.spark.data

## Class SerText

- java.lang.Object
- - org.apache.hadoop.io.BinaryComparable
  - - org.apache.hadoop.io.Text
    - - org.apache.sysds.runtime.instructions.spark.data.SerText

All Implemented Interfaces:
  `Serializable`, `Comparable<org.apache.hadoop.io.BinaryComparable>`, `org.apache.hadoop.io.Writable`, `org.apache.hadoop.io.WritableComparable<org.apache.hadoop.io.BinaryComparable>`

    public class SerText
    extends org.apache.hadoop.io.Text
    implements Serializable

Wrapper for Text in order to make it serializable as required for shuffle in spark instructions.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.hadoop.io.Text

`org.apache.hadoop.io.Text.Comparator`

### Field Summary

### Fields inherited from class org.apache.hadoop.io.Text

`DEFAULT_MAX_LEN`

### Constructor Summary

Constructors
`SerText​(String in)`

### Method Summary

### Methods inherited from class org.apache.hadoop.io.Text

`append, bytesToCodePoint, charAt, clear, copyBytes, decode, decode, decode, encode, encode, equals, find, find, getBytes, getLength, hashCode, readFields, readFields, readString, readString, readWithKnownLength, set, set, set, set, skip, toString, utf8Length, validateUTF8, validateUTF8, write, write, writeString, writeString`

### Methods inherited from class org.apache.hadoop.io.BinaryComparable

`compareTo, compareTo`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Constructor Detail

#### SerText

    public SerText​(String in)